LibreOffice: XIndexAlteration Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Member Functions | List of all members
XIndexAlteration Interface Reference

allows to alter the indexes of a table. More...

Inheritance diagram for XIndexAlteration:

## Exported Interfaces
interface | XConnectionSupplier
Exported Interfaces inherited from XConnectionSupplier
interface | com::sun::star::lang::XInitialization

## Public Member Functions
void | dropIndex ([in] com::sun::star::beans::XPropertySet table,[in] string index) raises ( com::sun::star::sdbc::SQLException)
| drops an object of the related container identified by its name.
void | addIndex ([in] com::sun::star::beans::XPropertySet table,[in]com::sun::star::beans::XPropertySet descriptor) raises (com::sun::star::sdbc::SQLException)
| creates a new object using the given descriptor and appends it to the related container.
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Additional Inherited Members
Public Attributes inherited from XConnectionSupplier
com::sun::star::sdbc::XConnection | ActiveConnection
| returns the source connection.

## Detailed Description

allows to alter the indexes of a table.

See also
  com::sun::star::sdb::DataSource::Settings
  com::sun::star::sdbcx::XAppend
  com::sun::star::sdbcx::XDrop

Since
  OOo 3.3

## Exported Interfaces

## ◆ XConnectionSupplier

interface XConnectionSupplier

## Member Function Documentation

## ◆ addIndex()

void addIndex | ( | [in] com::sun::star::beans::XPropertySet | table,
|  | [in] com::sun::star::beans::XPropertySet | descriptor
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

creates a new object using the given descriptor and appends it to the related container.

Note: The descriptor will not be changed and can be used again to append another object.

Parameters

  table | the table to be altered
  descriptor | the descriptor which should be serve to append a new object

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

## ◆ dropIndex()

void dropIndex | ( | [in] com::sun::star::beans::XPropertySet | table,
|  | [in] string | index
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

drops an object of the related container identified by its name.

Parameters

  table | the table to be altered
  index | the name of the column to be dropped

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/tools/XIndexAlteration.idl